Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225240 - Merge Review: alchemist
Summary: Merge Review: alchemist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 20:59 UTC by Nobody's working on this, feel free to take it
Modified: 2008-02-14 13:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-14 13:29:37 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 20:59:44 UTC
Fedora Merge Review: alchemist

http://cvs.fedora.redhat.com/viewcvs/devel/alchemist/

Comment 1 Gwyn Ciesla 2008-02-04 19:11:14 UTC
rpmlint on SRPM:

alchemist.src: E: non-utf8-spec-file
/tmp/alchemist-1.0.37-2.fc8.src.rpm.5684/alchemist.spec
The character encoding of the spec file is not UTF-8.  Convert it for
example using iconv(1).

alchemist.src:10: W: prereq-use /sbin/ldconfig
The use of PreReq is deprecated. In the majority of cases, a plain Requires
is enough and the right thing to do. Sometimes Requires(pre), Requires(post),
Requires(preun) and/or Requires(postun) can also be used instead of PreReq.

alchemist.src:13: W: buildprereq-use libxml2 >= 2.3.8, libxslt >= 0.9.0,
libxslt-devel >= 0.9.0
The use of BuildPreReq is deprecated, build dependencies are always required
before a package can be built.  Use plain BuildRequires instead.

alchemist.src:14: W: buildprereq-use doxygen >= 1.2.7, python-devel, zlib-devel
The use of BuildPreReq is deprecated, build dependencies are always required
before a package can be built.  Use plain BuildRequires instead.

alchemist.src: W: summary-ended-with-dot A multi-sourced configuration back-end.
Summary ends with a dot.

alchemist.src: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

alchemist.src: W: no-url-tag
The URL tag is missing.

All need fixing.

rpmlint on RPMS:

alchemist-devel.i386: W: dangling-relative-symlink
/usr/lib/alchemist/blackbox/libforgeblackbox.so libforgeblackbox.so.0.0.0
The relative symbolic link points nowhere.

Should be OK.


In addition, the Source0 tag should include a URL, which should match what I'd
find on the site in the URL.

Static libs need to be in a -static package or dropped entirely.  .la should be
removed unless critically needed.

Otherwise, looks good, no other blockers.

Comment 2 Tim Waugh 2008-02-13 13:21:01 UTC
Fixed in 1.0.37-4.fc9, except for:

URL tag: there is no upstream URL for this project, and never has been.

Dangling symlink: the devel package requires the main package, which provides
the target of this symlink.  There are many other packages that do the same thing.

Comment 3 Gwyn Ciesla 2008-02-13 13:52:55 UTC
Ok on the symlink.  A few of mine do that too. :)

As for upstream, you'll need to get a spot on hosted.fp.org, and update this
accordingly.



Comment 4 Tim Waugh 2008-02-13 14:00:53 UTC
Not worth the effort -- no new development should be made against alchemist.  It
is only kept around for the (very few) remaining packages that still use it.

Comment 5 Gwyn Ciesla 2008-02-13 14:10:41 UTC
Ok, that makes sense.  Document that in the Spec, approximately where the URL
tag would be, and I'll be happy.

Comment 6 Gwyn Ciesla 2008-02-13 14:15:25 UTC
I see that only s-c-httpd and s-c-netboot require this.  What is replacing this,
that these will be migrating to, just out of curiosity?

Comment 7 Tim Waugh 2008-02-14 13:08:23 UTC
Documented in spec.  The replacement is for configuration tools to directly
configure the files they are configuring.

Comment 8 Gwyn Ciesla 2008-02-14 13:29:37 UTC
Beautiful.  Thank you!

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.